### GET /api/v1/inventory/products Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/inventory/products ```markdown ### Parameters - **q** (string, query, optional): Пошуковий запит (повнотекстовий пошук) - **number** (string, query, optional): Штрих-код - **shop_id** (string, query, optional): Ідентифікатор торгової точки - **subgroup_id** (string, query, optional): Ідентифікатор товарної підгрупи - **category_id** (string, query, optional): Ідентифікатор каталогу - **page** (string, query, optional): Номер сторінки (пагінація) - **per_page** (string, query, optional): Кількість записів на сторінку (пагінація) ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/inventory/products?q=string&number=string&shop_id=string&subgroup_id=string&category_id=string&page=string&per_page=string" ``` ``` -------------------------------- ### GET /api/v1/stats/product_daily_sales/alter Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/stats/product_daily_sales/alter ```markdown ### Parameters - **date_start** (string, query, optional): Дача початку виборки (формат ISO 8601) - **date_end** (string, query, optional): Дача кінця виборки (формат ISO 8601) - **shop_id** (string, query, optional): Ідентифікатор торгової точки ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/stats/product_daily_sales/alter?date_start=string&date_end=string&shop_id=string" ``` ``` -------------------------------- ### GET /api/v1/inventory/product_subgroups Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/inventory/product_subgroups ```markdown ### Parameters - **id** (string, query, optional): Ідентифікатор товарної підгрупи - **title** (string, query, optional): Назва товарної підгрупи ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/inventory/product_subgroups?id=string&title=string" ``` ``` -------------------------------- ### GET /api/v1/inventory/import_products Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/inventory/import_products ```markdown ### Parameters - **url** (string, query, optional): Посилання на файл - **category_id** (string, query, optional): Ідентифікатор каталогу куди повинні імпортуватись товари ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/inventory/import_products?url=string&category_id=string" ``` ``` -------------------------------- ### GET /api/v1/inventory/cards Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/inventory/cards ```markdown ### Parameters - **id** (string, query, optional): Ідентифікатор - **product_id** (string, query, optional): Ідентифікатор товару - **shop_id** (string, query, optional): Ідентифікатор торгової точки - **counting_enabled** (string, query, optional): Ознака відслідковування залишків - **count** (string, query, optional): Кількість ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/inventory/cards?id=string&product_id=string&shop_id=string&counting_enabled=string&count=string" ``` ``` -------------------------------- ### GET /api/v1/inventory/products/{id} Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/inventory/products/{id} ```markdown ### Parameters - **id** (string, path, required): Ідентифікатор товару ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/inventory/products/{id}" ``` ``` -------------------------------- ### GET /api/v1/rsn/shops Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/rsn/shops ```markdown ### Parameters - **title** (string, query, optional): Назва торгової точки - **phone_number** (string, query, optional): Номер телефону - **email** (string, query, optional): Email - **address** (string, query, optional): Об'єкт адреси - **state** (string, query, optional): Статус - **website_url** (string, query, optional): Посилання на сайт - **business_category_id** (string, query, optional): Сфера діяльності - **picture** (string, query, optional): Зображення - **fiscal_numbers** (string, query, optional): Список номерів пРРО - **fiscalization_enabled** (string, query, optional): Ознака фіскалізації - **is_vat_taxation** (string, query, optional): Ознака платника ПДВ - **is_excise_taxation** (string, query, optional): Ознака додаткових зборів ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/rsn/shops?title=string&phone_number=string&email=string&address=string&state=string&website_url=string&business_category_id=string&picture=string&fiscal_numbers=string&fiscalization_enabled=string&is_vat_taxation=string&is_excise_taxation=string" ``` ``` -------------------------------- ### GET /api/v1/rsn/shops/employees Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/rsn/shops/employees ```markdown ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/rsn/shops/employees" ``` ``` -------------------------------- ### GET /api/v1/inventory/import_products/{id} Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/inventory/import_products/{id} ```markdown ### Parameters - **id** (string, path, required): ID параметр: id ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/inventory/import_products/{id}" ``` ``` -------------------------------- ### GET /api/v1/reports/z-reports Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/reports/z-reports ```markdown ### Parameters - **date_start** (string, query, optional): Дача початку виборки (формат ISO 8601) - **date_end** (string, query, optional): Дача кінця виборки (формат ISO 8601) - **termianl_user_id** (string, query, optional): Ідентифікатор касира - **terminal_id** (string, query, optional): Ідентифікатор терміналу - **shop_id** (string, query, optional): Ідентифікатор торгової точки ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/reports/z-reports?date_start=string&date_end=string&termianl_user_id=string&terminal_id=string&shop_id=string" ``` ``` -------------------------------- ### GET /api/v1/rsn/shops/{id} Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/rsn/shops/{id} ```markdown ### Parameters - **id** (string, path, required): ID параметр: id - **title** (string, query, optional): Назва торгової точки - **phone_number** (string, query, optional): Номер телефону - **email** (string, query, optional): Email - **address** (string, query, optional): Об'єкт адреси - **state** (string, query, optional): Статус - **website_url** (string, query, optional): Посилання на сайт - **business_category_id** (string, query, optional): Сфера діяльності - **picture** (string, query, optional): Зображення - **fiscal_numbers** (string, query, optional): Список номерів пРРО - **fiscalization_enabled** (string, query, optional): Ознака фіскалізації - **is_vat_taxation** (string, query, optional): Ознака платника ПДВ - **is_excise_taxation** (string, query, optional): Ознака додаткових зборів ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/rsn/shops/{id}?title=string&phone_number=string&email=string&address=string&state=string&website_url=string&business_category_id=string&picture=string&fiscal_numbers=string&fiscalization_enabled=string&is_vat_taxation=string&is_excise_taxation=string" ``` ``` -------------------------------- ### GET /api/v1/rsn/employees Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/rsn/employees ```markdown ### Parameters - **phone_number** (string, query, optional): Номер телефону - **email** (string, query, optional): Email - **first_name** (string, query, optional): Ім’я - **last_name** (string, query, optional): Прізвище - **middle_name** (string, query, optional): По-Батькові - **inn** (string, query, optional): ІПН - **passport_serial** (string, query, optional): Паспорт - серія - **passport_number** (string, query, optional): Паспорт - номер - **role_id** (string, query, optional): Ідентифікатор посади - **address_actual** (string, query, optional): Адреса проживання - **address_legal** (string, query, optional): Адреса прописки - **joined_at** (string, query, optional): День початку роботи у компанії - **birthday** (string, query, optional): День народження - **gender_type_id** (string, query, optional): Стать - **notes** (string, query, optional): Помітки - **additional_phone_number** (string, query, optional): Додатковий телефон - **pin_code** (string, query, optional): Код доступу до каси - **avatar** (string, query, optional): Фото ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/rsn/employees?phone_number=string&email=string&first_name=string&last_name=string&middle_name=string&inn=string&passport_serial=string&passport_number=string&role_id=string&address_actual=string&address_legal=string&joined_at=string&birthday=string&gender_type_id=string¬es=string&additional_phone_number=string&pin_code=string&avatar=string" ``` ``` -------------------------------- ### GET /api/v1/inventory/categories Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/inventory/categories ```markdown ### Parameters - **id** (string, query, optional): Ідентифікатор каталогу - **title** (string, query, optional): Назва каталогу - **parent_id** (string, query, optional): Ідентифікатор батьківського каталогу - **color_id** (string, query, optional): Ідентифікатор кольору (enum) - **shop_ids** (string, query, optional): Масив ідентифікаторів торгових точок ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/inventory/categories?id=string&title=string&parent_id=string&color_id=string&shop_ids=string" ``` ``` -------------------------------- ### GET /api/v1/pos/shifts Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/pos/shifts ```markdown ### Parameters - **id** (string, query, optional): Ідентифікатор зміни - **remote_shift_id** (string, query, optional): Ідентифікатор торгової зміни на сервері ДПС - **fiscal_number** (string, query, optional): Фіскальний номер зміни - **cash_balance** (string, query, optional): Готівка в касі - **device_uid** (string, query, optional): Унікальний ідентифікатор пристрою - **registrar_fiscal_number** (string, query, optional): Фіскальний номер пРРО - **opened_by** (string, query, optional): ПІБ ким було розпочато зміну - **closed_by** (string, query, optional): ПІБ ким було завершено зміну - **state** (string, query, optional): Статус - **terminal_user_id** (string, query, optional): Ідентифікатор користувача на терміналі - **employee_id** (string, query, optional): Ідентифікатор працівника - **page** (string, query, optional): Сторінка - **per_page** (string, query, optional): Кількість записів на сторінку ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/pos/shifts?id=string&remote_shift_id=string&fiscal_number=string&cash_balance=string&device_uid=string®istrar_fiscal_number=string&opened_by=string&closed_by=string&state=string&terminal_user_id=string&employee_id=string&page=string&per_page=string" ``` ``` -------------------------------- ### GET /api/v1/inventory/cards/{id} Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/inventory/cards/{id} ```markdown ### Parameters - **id** (string, path, required): Ідентифікатор - **product_id** (string, query, optional): Ідентифікатор товару - **shop_id** (string, query, optional): Ідентифікатор торгової точки - **counting_enabled** (string, query, optional): Ознака відслідковування залишків - **count** (string, query, optional): Кількість ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/inventory/cards/{id}?product_id=string&shop_id=string&counting_enabled=string&count=string" ``` ``` -------------------------------- ### GET /api/v1/inventory/unit_types Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/inventory/unit_types ```markdown ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/inventory/unit_types" ``` ``` -------------------------------- ### GET /api/v1/rsn/employees/{id} Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/rsn/employees/{id} ```markdown ### Parameters - **id** (string, path, required): ID параметр: id - **phone_number** (string, query, optional): Номер телефону - **email** (string, query, optional): Email - **first_name** (string, query, optional): Ім’я - **last_name** (string, query, optional): Прізвище - **middle_name** (string, query, optional): По-Батькові - **inn** (string, query, optional): ІПН - **passport_serial** (string, query, optional): Паспорт - серія - **passport_number** (string, query, optional): Паспорт - номер - **role_id** (string, query, optional): Ідентифікатор посади - **address_actual** (string, query, optional): Адреса проживання - **address_legal** (string, query, optional): Адреса прописки - **joined_at** (string, query, optional): День початку роботи у компанії - **birthday** (string, query, optional): День народження - **gender_type_id** (string, query, optional): Стать - **notes** (string, query, optional): Помітки - **additional_phone_number** (string, query, optional): Додатковий телефон - **pin_code** (string, query, optional): Код доступу до каси - **avatar** (string, query, optional): Фото ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/rsn/employees/{id}?phone_number=string&email=string&first_name=string&last_name=string&middle_name=string&inn=string&passport_serial=string&passport_number=string&role_id=string&address_actual=string&address_legal=string&joined_at=string&birthday=string&gender_type_id=string¬es=string&additional_phone_number=string&pin_code=string&avatar=string" ``` ``` -------------------------------- ### GET /api/v1/pos/shifts/{id} Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/pos/shifts/{id} ```markdown ### Parameters - **id** (string, path, required): Ідентифікатор зміни - **remote_shift_id** (string, query, optional): Ідентифікатор торгової зміни на сервері ДПС - **fiscal_number** (string, query, optional): Фіскальний номер зміни - **cash_balance** (string, query, optional): Готівка в касі - **device_uid** (string, query, optional): Унікальний ідентифікатор пристрою - **registrar_fiscal_number** (string, query, optional): Фіскальний номер пРРО - **opened_by** (string, query, optional): ПІБ ким було розпочато зміну - **closed_by** (string, query, optional): ПІБ ким було завершено зміну - **state** (string, query, optional): Статус - **terminal_user_id** (string, query, optional): Ідентифікатор користувача на терміналі - **employee_id** (string, query, optional): Ідентифікатор працівника ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/pos/shifts/{id}?remote_shift_id=string&fiscal_number=string&cash_balance=string&device_uid=string®istrar_fiscal_number=string&opened_by=string&closed_by=string&state=string&terminal_user_id=string&employee_id=string" ``` ``` -------------------------------- ### Schema: Product Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json Schema definition for Product ```markdown ## Schema: Product Schema definition for Product **Type:** object - **id** (string) (required): Ідентифікатор товару - **remote_id** (string): Ідентифікатор товару в зовнішній системі користувача - **number** (string): Штрих-код - **title** (string) (required): Назва товару - **unit_type_id** (number): Код одиниці виміру - **price** (number) (required): Ціна за одиницю - **procurement_price** (number): Ціна закупки - **alter_title** (string): Коротка назва - **alter_number** (string): Артикул - **category_id** (string): Ідентифікатор каталогу - **sold_by_weight** (boolean): Ознака вагового товарту - **is_free_price** (boolean): Ознака продажу по вільній ціні - **classifier_code** (string): Код класифікатора - **classifier_type_id** (string): Тип класифікатора: - **tax_group_id** (string): Ідентифікатор податкової групи: - **subgroup_id** (number): Ідентифікатор товарної підгрупи - **picture** (object): Об'єкт файлу для підвантаження - **bookmark_ids** (array): Помітки ``` -------------------------------- ### POST /api/v1/inventory/products/batch Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for POST /api/v1/inventory/products/batch ```markdown ### Request Body **Content-Type:** application/json - **products** (array (object)) ### Responses #### 201 - Created #### 422 - Unprocessable Entity ### Example Usage ```bash curl -X POST "https://core.smartkasa.ua/api/v1/inventory/products/batch" \ -H "Content-Type: application/json" \ -d '{ "products": [ "value" ] }' ``` ``` -------------------------------- ### POST /api/v1/inventory/products Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for POST /api/v1/inventory/products ```markdown ### Request Body **Content-Type:** application/json - **number** (string) - **title** (string) - **unit_type_id** (integer) - **portion_amount** (integer) - **portion_type_id** (integer) - **price** (number) - **procurement_price** (integer) - **classifier_type_id** (integer) - **classifier_code** (string) - **tax_group_id** (integer) - **category_id** (string) - **category_type_id** (integer) - **sold_by_weight** (boolean) - **bookmark_ids** (array (object)) - **user_id** (integer) - **owner_id** (integer) ### Responses #### 201 - Created #### 422 - Unprocessable Entity ### Example Usage ```bash curl -X POST "https://core.smartkasa.ua/api/v1/inventory/products" \ -H "Content-Type: application/json" \ -d '{ "number": "string", "title": "string", "unit_type_id": "0", "portion_amount": "0", "portion_type_id": "0", "price": "0", "procurement_price": "0", "classifier_type_id": "0", "classifier_code": "string", "tax_group_id": "0", "category_id": "string", "category_type_id": "0", "sold_by_weight": "true", "bookmark_ids": [ "value" ], "user_id": "0", "owner_id": "0" }' ``` ``` -------------------------------- ### GET /api/v1/pos/terminals Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/pos/terminals ```markdown ### Parameters - **id** (string, query, optional): Ідентифікатор терміналу - **name** (string, query, optional): Назва терміналу - **shop_id** (string, query, optional): Ідентифікатор торгової точки - **page** (string, query, optional): Сторінка - **per_page** (string, query, optional): Кількіть записів на сторінку ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/pos/terminals?id=string&name=string&shop_id=string&page=string&per_page=string" ``` ``` -------------------------------- ### Security: X-Api-Key Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API ключ для аутентифікації. Кожен запит повинен містити цей заголовок. ```markdown ## Security: X-Api-Key **Description:** API ключ для аутентифікації. Кожен запит повинен містити цей заголовок. **Type:** apiKey ``` -------------------------------- ### GET /api/v1/pos/receipts Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/pos/receipts ```markdown ### Parameters - **id** (string, query, optional): Ідентифікатор чеку - **shift_id** (string, query, optional): Ідентифікатор зміни - **title** (string, query, optional): Назва - **total_amount** (string, query, optional): Загальна ціна - **state** (string, query, optional): Статус - **type** (string, query, optional): Тип - **discount_type_id** (string, query, optional): Тип знижки (0 - відсоток, 1 - грошовий еквівалент) - **discount_amount** (string, query, optional): Розмір знижки (в грошовому еквіваленті) - **discount_percentage** (string, query, optional): Розмір знижки (у відсотках) - **seller_id** (string, query, optional): Ідентифікатор продавця - **items** (string, query, optional): Перелік позицій в чеку - **shop_id** (string, query, optional): Ідентифікатор торгової точки - **terminal_id** (string, query, optional): Ідентифікатор терміналу - **cashier_name** (string, query, optional): Касир (ПІБ) - **description** (string, query, optional): Опис - **fiscal_number** (string, query, optional): Фіскальний номер - **tax_amount** (string, query, optional): Інформація про подактки - **registrar_fiscal_number** (string, query, optional): Фіскальний номер пРРО - **registrar_local_number** (string, query, optional): Локальний номер пРРО - **rounding_amount** (string, query, optional): Сума заокруглення - **offline_id** (string, query, optional): Ідентифікатор офлайн зміни - **offline_seed** (string, query, optional): Секретне число для режиму офлайн - **offline_local_number** (string, query, optional): Локальний номер в межах офлайн пакету - **previous_receipt_hash** (string, query, optional): Хеш попереднього чеку - **related_fiscal_number** (string, query, optional): Зв'язаний фіскальний номер (наприклад для повернення) - **is_hidden** (string, query, optional): Ознака прихованого чеку (службовий параметр) - **page** (string, query, optional): Сторінка - **per_page** (string, query, optional): Кількість записів на сторінку ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/pos/receipts?id=string&shift_id=string&title=string&total_amount=string&state=string&type=string&discount_type_id=string&discount_amount=string&discount_percentage=string&seller_id=string&items=string&shop_id=string&terminal_id=string&cashier_name=string&description=string&fiscal_number=string&tax_amount=string®istrar_fiscal_number=string®istrar_local_number=string&rounding_amount=string&offline_id=string&offline_seed=string&offline_local_number=string&previous_receipt_hash=string&related_fiscal_number=string&is_hidden=string&page=string&per_page=string" ``` ``` -------------------------------- ### POST /api/v1/inventory/product_subgroups Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for POST /api/v1/inventory/product_subgroups ```markdown ### Request Body **Content-Type:** application/json - **id** (string): Ідентифікатор товарної підгрупи - **title** (string): Назва товарної підгрупи ### Responses #### 201 - Created #### 422 - Unprocessable Entity ### Example Usage ```bash curl -X POST "https://core.smartkasa.ua/api/v1/inventory/product_subgroups" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "title": "string" }' ``` ``` -------------------------------- ### POST /api/v1/inventory/import_products Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for POST /api/v1/inventory/import_products ```markdown ### Request Body **Content-Type:** application/json - **url** (string): Посилання на файл - **category_id** (string): Ідентифікатор каталогу куди повинні імпортуватись товари ### Responses #### 201 - Created #### 422 - Unprocessable Entity ### Example Usage ```bash curl -X POST "https://core.smartkasa.ua/api/v1/inventory/import_products" \ -H "Content-Type: application/json" \ -d '{ "url": "string", "category_id": "string" }' ``` ``` -------------------------------- ### API Overview: Смарт Каса API v1.0.18 Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json ## Media Types ``` Content-Type: application/json ``` ## Відповіді від серверу Використовуються загальноприйняті [HTTP-коди відповідей](https://github.com/for-GET/know-your-http-well/blob/master/status-codes.md). ## Підпис запитів Кожен запит повинен супроводжуватись наявністю заголовку: ```X-API-KEY```. \ Для запитів які потребують авторизації користувача повинен бути наявним додатково заголовок: ```Authorization```. ```yaml # Смарт Каса API v1.0.18 # Version: 1.0.18 ## Media Types ``` Content-Type: application/json ``` ## Відповіді від серверу Використовуються загальноприйняті [HTTP-коди відповідей](https://github.com/for-GET/know-your-http-well/blob/master/status-codes.md). ## Підпис запитів Кожен запит повинен супроводжуватись наявністю заголовку: ```X-API-KEY```. \ Для запитів які потребують авторизації користувача повинен бути наявним додатково заголовок: ```Authorization```. # Base URL: https://core.smartkasa.ua ``` -------------------------------- ### PUT /api/v1/inventory/product_subgroups/{id} Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for PUT /api/v1/inventory/product_subgroups/{id} ```markdown ### Parameters - **id** (string, path, required): Ідентифікатор товарної підгрупи ### Request Body **Content-Type:** application/json - **title** (string): Назва товарної підгрупи ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X PUT "https://core.smartkasa.ua/api/v1/inventory/product_subgroups/{id}" \ -H "Content-Type: application/json" \ -d '{ "title": "string" }' ``` ``` -------------------------------- ### DELETE /api/v1/inventory/products/batch Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for DELETE /api/v1/inventory/products/batch ```markdown ### Request Body **Content-Type:** application/json - **ids** (array (string)) ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X DELETE "https://core.smartkasa.ua/api/v1/inventory/products/batch" \ -H "Content-Type: application/json" \ -d '{ "ids": [ "string" ] }' ``` ``` -------------------------------- ### GET /api/v1/pos/receipts/{id} Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/pos/receipts/{id} ```markdown ### Parameters - **id** (string, path, required): Ідентифікатор чеку - **shift_id** (string, query, optional): Ідентифікатор зміни - **title** (string, query, optional): Назва - **total_amount** (string, query, optional): Загальна ціна - **state** (string, query, optional): Статус - **type** (string, query, optional): Тип - **discount_type_id** (string, query, optional): Тип знижки (0 - відсоток, 1 - грошовий еквівалент) - **discount_amount** (string, query, optional): Розмір знижки (в грошовому еквіваленті) - **discount_percentage** (string, query, optional): Розмір знижки (у відсотках) - **seller_id** (string, query, optional): Ідентифікатор продавця - **items** (string, query, optional): Перелік позицій в чеку - **shop_id** (string, query, optional): Ідентифікатор торгової точки - **terminal_id** (string, query, optional): Ідентифікатор терміналу - **cashier_name** (string, query, optional): Касир (ПІБ) - **description** (string, query, optional): Опис - **fiscal_number** (string, query, optional): Фіскальний номер - **tax_amount** (string, query, optional): Інформація про подактки - **registrar_fiscal_number** (string, query, optional): Фіскальний номер пРРО - **registrar_local_number** (string, query, optional): Локальний номер пРРО - **rounding_amount** (string, query, optional): Сума заокруглення - **offline_id** (string, query, optional): Ідентифікатор офлайн зміни - **offline_seed** (string, query, optional): Секретне число для режиму офлайн - **offline_local_number** (string, query, optional): Локальний номер в межах офлайн пакету - **previous_receipt_hash** (string, query, optional): Хеш попереднього чеку - **related_fiscal_number** (string, query, optional): Зв'язаний фіскальний номер (наприклад для повернення) - **is_hidden** (string, query, optional): Ознака прихованого чеку (службовий параметр) ### Responses #### 200 - Success #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/pos/receipts/{id}?shift_id=string&title=string&total_amount=string&state=string&type=string&discount_type_id=string&discount_amount=string&discount_percentage=string&seller_id=string&items=string&shop_id=string&terminal_id=string&cashier_name=string&description=string&fiscal_number=string&tax_amount=string®istrar_fiscal_number=string®istrar_local_number=string&rounding_amount=string&offline_id=string&offline_seed=string&offline_local_number=string&previous_receipt_hash=string&related_fiscal_number=string&is_hidden=string" ``` ``` -------------------------------- ### POST /api/v1/inventory/categories/batch Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for POST /api/v1/inventory/categories/batch ```markdown ### Request Body **Content-Type:** application/json - **categories** (array (object)) ### Responses #### 201 - Created #### 422 - Unprocessable Entity ### Example Usage ```bash curl -X POST "https://core.smartkasa.ua/api/v1/inventory/categories/batch" \ -H "Content-Type: application/json" \ -d '{ "categories": [ "value" ] }' ``` ``` -------------------------------- ### GET /api/v1/pos/payment_transactions/{id} Source: https://raw.githubusercontent.com/1212bogdan/smartkasa-openapi3/refs/heads/main/openapi.json API endpoint for GET /api/v1/pos/payment_transactions/{id} ```markdown ### Parameters - **id** (string, path, required): ID параметр: id ### Responses #### 200 - Success Empty response body #### 400 - Bad Request - **errors** (object): Об'єкт з помилками валідації ### Example Usage ```bash curl -X GET "https://core.smartkasa.ua/api/v1/pos/payment_transactions/{id}" ``` ```